import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type RunwaySpacingDocument = RunwaySpacing & Document;

@Schema()
export class RunwaySpacing {
  @Prop({
    required: true,
    type: String,
  })
  runway: string;

  @Prop({
    required: true,
    type: Number,
  })
  spacing: number;
}

export const RunwaySpacingSchema = SchemaFactory.createForClass(RunwaySpacing);
