import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class RadarTokenDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The usable Bearer token',
    example: 'SECRET',
  })
  token: string;
}
