import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type CoordinateDocument = Coordinate & Document;

@Schema()
export class Coordinate {
  @Prop({
    required: true,
    type: Number,
  })
  latitude: number;

  @Prop({
    required: true,
    type: Number,
  })
  longitude: number;
}

export const CoordinateSchema = SchemaFactory.createForClass(Coordinate);
