import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type PerformanceEntryDocument = PerformanceEntry & Document;

@Schema()
export class PerformanceEntry {
  @Prop({
    required: true,
    type: Number,
  })
  speed: number;

  @Prop({
    required: true,
    type: Number,
  })
  rateOfDescend: number;
}

export const PerformanceEntrySchema =
  SchemaFactory.createForClass(PerformanceEntry);
